unit fPtSelOptSave;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ORCtrls, ORFn;

type
  TfrmPtSelOptSave = class(TForm)
    pnlClinSave: TPanel;
    rGrpClinSave: TRadioGroup;
    lblClinSettings: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure rGrpClinSaveClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPtSelOptSave: TfrmPtSelOptSave;

implementation

{$R *.DFM}

uses
  rCore, fPtSelOptns;

procedure TfrmPtSelOptSave.FormCreate(Sender: TObject);
begin

self.caption := 'Save Patient List Settings';
fPtSelOptns.clinDoSave := false;
fPtSelOptns.clinSaveToday := false;
lblClinSettings.caption := 'Save ' + fPtSelOptns.clinDefaults +
                           CRLF + ' defaults as follows?';
rGrpClinSave.itemIndex := -1;

end;

procedure TfrmPtSelOptSave.rGrpClinSaveClick(Sender: TObject);
begin

fPtSelOptns.clinDoSave := true; // Initialize.
if (rGrpClinSave.itemIndex = 0) then
  fPtSelOptns.clinSaveToday := false;
if (rGrpClinSave.itemIndex = 1) then
  fPtSelOptns.clinSaveToday := true;
if (rGrpClinSave.itemIndex = 2) then
  fPtSelOptns.clinDoSave := false;
if ((rGrpClinSave.itemIndex < 0) or (rGrpClinSave.itemIndex >2)) then
  fPtSelOptns.clinDoSave := false; // Defaults to cancel selection.
close;

end;

end.
